> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Uninstall a plugin

> Uninstall the connector plugin with the given ID.



## OpenAPI

````yaml /api-reference/5.9/fusion-api-connectors.json delete /connectors/plugins/{type}
openapi: 3.0.1
info:
  title: Fusion Connectors Service API
  description: A Lucidworks Fusion microservice for Connectors management.
  contact:
    name: Lucidworks
    url: www.lucidworks.com
    email: support@lucidworks.com
  license:
    name: License of API
    url: https://lucidworks.com/legal/developer-license-agreement/
  version: '5.9'
servers:
  - url: https://{FUSION HOST}/api
    description: Fusion
    variables:
      FUSION HOST:
        default: FUSION_HOST
        description: Your environment host.
  - url: https://{FUSION HOST}/api/apps/{APP_NAME}
    description: Fusion app
    variables:
      FUSION HOST:
        default: FUSION_HOST
        description: Your environment host.
      APP_NAME:
        default: APP_NAME
        description: The name of your Fusion application.
security: []
tags:
  - name: Connector Plugins API
    description: >-
      The Connector Plugins API allows you to list, install, update and
      uninstall connector plugins.
  - name: Connector Plugins Repository API
    description: >-
      The Connector Plugins Repository API gives you access to connector plugins
      from the plugin repository.
  - name: Connector Schema API
    description: >-
      The Connector Schema API provides you with the available configuration
      properties for any connector plugin type.
  - name: Datasource Configuration API
    description: >-
      The Datasource Configuration API allows you to manage datasource
      configurations for both Classic and V2 (SDK) connectors. These are the
      configurations that define settings for crawling a specific repository,
      database, API, or other content source.
  - name: Datasource Configuration V2 API
    description: >-
      The Datasource Configuration V2 API allows you to manage V2 (SDK)
      datasource configurations. These are the configurations that define
      settings for crawling a specific repository, database, API or other
      content source.
  - name: Datasource Jobs API
    description: >-
      The Datasource Jobs API allows you to to list, start or stop, and check
      the status of datasource crawl jobs.
  - name: Connectors Configuration Suggestion API
    description: >-
      The Configuration Suggestion API allows to get suggestion on which
      connector plugin can be used for crawling provided content source.
  - name: Connectors Security Filter API
    description: >-
      The Connectors Security Filters API provides security filter queries
      generated for a specific collection, user and connector type. These filter
      queries are used by the query pipeline to filter out documents returned to
      specific users and group of users depending on their permissions.
externalDocs:
  description: Lucidworks Documentation.
  url: https://doc.lucidworks.com/
paths:
  /connectors/plugins/{type}:
    delete:
      tags:
        - Connector Plugins API
      summary: Uninstall a plugin
      description: Uninstall the connector plugin with the given ID.
      operationId: uninstallPlugin
      parameters:
        - name: type
          description: The connector type.
          in: path
          required: true
          schema:
            type: string
          example: lucidworks.slack
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PluginInstallResponse'
              example:
                pluginId: lucidworks.slack
                status:
                  action: UNINSTALL
                  status: SUCCESS
                  message: >-
                    Plugin with pluginId 'lucidworks.slack' was uninstalled
                    successfully.
components:
  schemas:
    PluginInstallResponse:
      type: object
      properties:
        pluginId:
          description: The ID of the connector plugin.
          type: string
          example: lucidworks.web-v2
        status:
          $ref: '#/components/schemas/PluginInstallActionStatus'
    PluginInstallActionStatus:
      description: The action taken and its final status.
      type: object
      properties:
        action:
          type: string
          enum:
            - UNKNOWN
            - INSTALL
            - UPDATE
            - UNINSTALL
          example: INSTALL
        status:
          type: string
          enum:
            - SUCCESS
            - FAIL
            - NOOP
          example: SUCCESS
        message:
          type: string
          example: Plugin lucidworks.web-v2 was installed successfully.

````